## ggml-cuda 0.9.5

=== debian/changelog ===
ggml-cuda (0.9.5-3~exp1) experimental; urgency=medium

  * Rebuild src:ggml as src:ggml-cuda with CUDA (non-free) enabled
    - Automatically generated by src:ggml :: debian/cudabuild.sh
    - Please observe README.Source when making changes
    - Changelog entries below are from src:ggml

  * CUDA: Adapt not-installed list to new library locations
  * Bump Standards-Version to 4.7.3
    - Drop Priority: optional, it's the dpkg default since trixie
  * Bump copyrights

 -- Christian Kastner <ckk@debian.org>  Sun, 11 Jan 2026 16:46:07 +0100

ggml-cuda (0.9.5-2) unstable; urgency=medium

  * Temporarily revert riscv64 to minimal feature flags (Closes: #1124644)

 -- Christian Kastner <ckk@debian.org>  Mon, 05 Jan 2026 08:28:48 +0100

ggml-cuda (0.9.5-1) unstable; urgency=medium

  [ Christian Kastner ]
  * Create d/NEWS, announcing the move to a public library
  * Drop RPATH from now public libraries
  * Drop patches obsoleted by upstream introduction of SOVERSION
  * Update package descriptions, dropping the hint to private
  * Lower dependency on libamdhip64-dev to the fixed deb13u1 version
  * Re-enable dh_makeslibs
  * Start tracking symbols in d/libggml0.symbols
  * Switch riscv64 to runtime feature detection
  * d/copyright: Drop the hint to private
  * Set GGML_BUILD_VERSION to Debian revision
  * Refresh d/copyright

  [ Mathieu Baudier ]
  * New upstream version 0.9.5.
  * Install libraries and headers to public paths. (Closes: #1117476)

 -- Christian Kastner <ckk@debian.org>  Sat, 03 Jan 2026 11:54:28 +0100

ggml-cuda (0.9.4-7) unstable; urgency=medium

  * Re-enable the HIP backend
  * Merge libggml0-backend-cpu into libggml0
  * Drop CUDA backend, now built by src:ggml-cuda
  * Re-incorporate src:ggml -> src:ggml-cuda transformation
  * Fix backend version enforcment
    The version on the Suggests is ineffective. We need to enforce version
    equality through a Depends on the backends, which overrides the
    dependency that ${shlibs:Depends} will generate.
  * Suggest libggml0-backend-cuda
  * Enable build-time tests
  * Salsa CI: Use pkg.ggml.minhip build profile

 -- Christian Kastner <ckk@debian.org>  Tue, 23 Dec 2025 14:18:56 +0100

ggml-cuda (0.9.4-6) unstable; urgency=medium

  * Move pkgconfig to multi-arch aware location.
    This was an oversight when in the Great Reorganization of the llama.cpp
    and ggml packages, leading to a multi-arch file conflict.

 -- Christian Kastner <ckk@debian.org>  Tue, 09 Dec 2025 16:44:17 +0100

ggml-cuda (0.9.4-5) unstable; urgency=medium

  * Also disable autopkgtests for temporarily disabled HIP backend

 -- Christian Kastner <ckk@debian.org>  Thu, 04 Dec 2025 11:15:47 +0100

ggml-cuda (0.9.4-4) unstable; urgency=medium

  [ Christian Kastner ]
  * Temporarily disable the HIP backend in unstable, until the ROCm stack has
    stabilized again
  * Introduce a build profile for single AMD GPU target, to enable reducing
    Salsa load

  [ Cordell Bloor ]
  * Drop HIP backend for ppc64el
  * Use default CMAKE_HIP_COMPILER as detected by CMake

 -- Christian Kastner <ckk@debian.org>  Wed, 03 Dec 2025 22:49:02 +0100
